API Docs / Operations / Tenants / Update Tenant

Update Tenant

PUT /tenants/{tenant}

Replaces the tenant's details and modules. A changed email address un-verifies the tenant and sends a verification email to the new address.

Parameters

NameTypeDescription
tenant* path string

The tenant code (the organisation's URL stub)

The tenant code (the organisation's URL stub)

Request Body*

{
  "name": "string",
  "address": {
    "line1": "string",
    "line2": "string",
    "line3": "string"
  },
  "phoneNumber": "string",
  "emailAddress": "user@example.com",
  "isVatRegistered": false,
  "shareDetailsDefault": false,
  "isSupportAccessEnabled": false,
  "modules": [
    "CisContractor"
  ]
}

Responses

200 OK
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
404 Not Found
application/problem+json